Bayiyi güncelle
curl --request PUT \
--url https://identity-sandbox.payven.com.tr/api/v1/merchants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json; ver=1.0' \
--data '
{
"name": "<string>",
"legal_name": "<string>",
"tax_office": "<string>",
"bkm_member_id": "<string>",
"email": "<string>",
"contact_phone": "<string>",
"city": "<string>",
"district": "<string>",
"address": "<string>",
"url": "<string>",
"default_mcc": "<string>",
"default_mcc_category": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true
}
'import requests
url = "https://identity-sandbox.payven.com.tr/api/v1/merchants/{id}"
payload = {
"name": "<string>",
"legal_name": "<string>",
"tax_office": "<string>",
"bkm_member_id": "<string>",
"email": "<string>",
"contact_phone": "<string>",
"city": "<string>",
"district": "<string>",
"address": "<string>",
"url": "<string>",
"default_mcc": "<string>",
"default_mcc_category": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json; ver=1.0"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json; ver=1.0'},
body: JSON.stringify({
name: '<string>',
legal_name: '<string>',
tax_office: '<string>',
bkm_member_id: '<string>',
email: '<string>',
contact_phone: '<string>',
city: '<string>',
district: '<string>',
address: '<string>',
url: '<string>',
default_mcc: '<string>',
default_mcc_category: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true
})
};
fetch('https://identity-sandbox.payven.com.tr/api/v1/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"legal_name": "<string>",
"external_id": "<string>",
"tax_id": "<string>",
"tax_office": "<string>",
"bkm_member_id": "<string>",
"email": "<string>",
"contact_phone": "<string>",
"city": "<string>",
"district": "<string>",
"address": "<string>",
"url": "<string>",
"default_mcc": "<string>",
"default_mcc_category": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_name": "<string>",
"is_active": true,
"created": "2023-11-07T05:31:56Z",
"last_modified": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/idempotency_key_in_use",
"title": "Idempotency-Key çakışması",
"status": 409,
"code": "idempotency_key_in_use",
"detail": "Bu Idempotency-Key daha önce farklı bir istek gövdesi ile kullanıldı."
}{
"type": "https://docs.payven.com.tr/errors/bank_declined",
"title": "Banka işlemi reddetti",
"status": 422,
"code": "bank_declined",
"detail": "Yetersiz bakiye (banka kodu: 51)",
"provider_error_code": "51"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}Merchants
Bayiyi güncelle
PUT
/
api
/
v1
/
merchants
/
{id}
Bayiyi güncelle
Authorizations
Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token
Path Parameters
Body
application/json; ver=1.0text/json; ver=1.0application/*+json; ver=1.0
Available options:
pending, approved, rejected Response
OK
Available options:
pending, approved, rejected ⌘I